Package com.microsoft.sqlserver.jdbc.dataclassification

# Class InformationType

java.lang.Object
com.microsoft.sqlserver.jdbc.dataclassification.InformationType

    public class InformationType
    extends java.lang.Object

Represents the Data Classification Information Types as received from SQL Server for the active resultSet

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InformationType​(java.lang.String name, java.lang.String id)` | Constructs a InformationType

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getId()` | Returns the ID for this `InformationType` object
`java.lang.String` | `getName()` | Returns the name of this `InformationType` Object

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InformationType

public InformationType​(java.lang.String name, java.lang.String id)
Constructs a InformationType

Parameters:
  `name` - Name of Information Type
  `id` - ID of Information Type

## Method Details

### getName

public java.lang.String getName()
Returns the name of this `InformationType` Object

Returns:
  Name of Information Type

### getId

public java.lang.String getId()
Returns the ID for this `InformationType` object

Returns:
  ID of Information Type